[SiSFlash]
FileName=SiSFlash
ServiceName=SiSFlash
DisplayName=SISLIB_Flash
WDM_Driver=SiSFlash.sys

[SiSESC]
FileName=SiSESC
ServiceName=SiSESC
DisplayName=SISLIB_ESC
WDM_Driver=SiSESC.sys

[SiSAGPTest.Rule]
;0 : Default pattern 
;1 : UserDefine pattern
;2 : Test Use->Modify length=0x50 default pattern to 0xAABBCCDD 0xEEEEFFFF 0xAABBCCDD 0xEEEEFFFF 
;default:0
PatternSource=0

;0x1-0xFFFF : auto test length
;default:0x1004 
Length=0x1004

;0x0        : not check loop time(agp test rule determine by 'ErrorCount')
;0x1-0xFFFF : expect loop time
;default:0x1000
Loop=0x1000

;notice : valid when 'Loop=0x0'
;0x0           : count forever(use hot key to stop)
;0x1-0xFFFFFFFF: error endure times(when arrival, run next pattern)
;default:0x1
ErrorCount=0x1

;When error occur, pause or not
;0 : don't pause
;1 : pause (can press any key to continue)
;default:0
ErrorStop=0

;0:don't show in screen
;1:show in screen
;default:0
ScreenShow=0

;0:don't write to log file
;1:write to log file
;default:0
WriteToFile=0

;0:don't down to stable speed
;1:down to stable speed
;default=1
DownToStableSpeed=1

;0 : F0
;1 : A0
;2 : F0 & A0
;default=2
DelayTime=1

;when PatternSource=0
;0 : Not test mode4
;1 : Test mode4
;default=0
TestMode4=1

;TickCount
;0<=dwTickCount<=0xFFFFFFFF
;default=0
TickCount=0x0

;0 : Chip not check
;1 : Chip check
;default:1
CheckPrimaryChip=1
;default:0
CheckSecondaryChip=0

[SiSAGPTest.File_Name]
;user-defined pattern file name(*.pat) 
;default=userdef.pat
PatternFile=userdef.pat

;error report file(*.log) 
;default=result.log
ErrorFile=result.log